FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.bcc6df4.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.bcc6df4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bcc6df4 OS_GIT_VERSION=4.8.0-202107231447.p0.git.bcc6df4.assembly.stream-bcc6df4 SOURCE_DATE_EPOCH=1626170840 SOURCE_GIT_COMMIT=bcc6df48bc48dff748481c5284d05e0c2066f4e6 SOURCE_GIT_TAG=v3.11.0-352-gbcc6df48 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
WORKDIR /go/src/github.com/openshift/service-ca-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/service-ca-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" ./cmd/service-ca-operator

FROM openshift/ose-base:v4.8.0.20210723.145548
ENV __doozer=update BUILD_RELEASE=202107231447.p0.git.bcc6df4.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202107231447.p0.git.bcc6df4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bcc6df4 OS_GIT_VERSION=4.8.0-202107231447.p0.git.bcc6df4.assembly.stream-bcc6df4 SOURCE_DATE_EPOCH=1626170840 SOURCE_GIT_COMMIT=bcc6df48bc48dff748481c5284d05e0c2066f4e6 SOURCE_GIT_TAG=v3.11.0-352-gbcc6df48 SOURCE_GIT_URL=https://github.com/openshift/service-ca-operator 
COPY --from=builder /go/src/github.com/openshift/service-ca-operator/service-ca-operator /usr/bin/
COPY manifests /manifests
# Using the vendored CRD ensures compatibility with 'oc explain'
COPY vendor/github.com/openshift/api/operator/v1/0000_50_service-ca-operator_02_crd.yaml /manifests/02_crd.yaml
ENTRYPOINT ["/usr/bin/service-ca-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-service-ca-operator" \
        com.redhat.component="ose-service-ca-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202107231447.p0.git.bcc6df4.assembly.stream" \
        io.openshift.build.commit.id="bcc6df48bc48dff748481c5284d05e0c2066f4e6" \
        io.openshift.build.source-location="https://github.com/openshift/service-ca-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/service-ca-operator/commit/bcc6df48bc48dff748481c5284d05e0c2066f4e6" \
        version="v4.8.0"

